# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de movimientos de producto 

# Programas 
NAME     = movimientos.4ge 
OBJFILES = invglb001.4gl inving001.4gl invqbx001.4gl invrpt001.4gl 
FRMFILES = inving001a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin 

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd//prog4js clean 
